Bug 460590 - [Dictionary plugin] Dictionary definitions should get copied to clipboard upon selection.
Summary: [Dictionary plugin] Dictionary definitions should get copied to clipboard upo...
Status: RESOLVED FIXED
Alias: None
Product: krunner
Classification: Plasma
Component: general (show other bugs)
Version: 5.26.0
Platform: Archlinux Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Alexander Lohnau
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-10-17 13:31 UTC by jakubby
Modified: 2022-10-27 19:11 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.27


Attachments
Dictionary definitions don't get copied to clipboard when selected; (1.41 MB, video/mp4)
2022-10-17 13:31 UTC, jakubby
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jakubby 2022-10-17 13:31:05 UTC
Created attachment 152939 [details]
Dictionary definitions don't get copied to clipboard when selected;

SUMMARY
Dictionary definitions don't get copied to clipboard upon selection.

STEPS TO REPRODUCE
1. Search for a term.
2. Select definition which we are interested in. *enter*/*mouse click*.

OBSERVED RESULT
Nothing gets copied to clipboard.

EXPECTED RESULT
Definition(alongside the word) gets copied to clipboard.

SOFTWARE/OS VERSIONS
Linux: Rolling release
KDE Plasma Version: 5.26.0
KDE Frameworks Version: 5.99.0
Qt Version: 5.15.6
Comment 1 Nate Graham 2022-10-17 20:43:01 UTC
Good idea!
Comment 2 Bug Janitor Service 2022-10-18 18:54:27 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/kdeplasma-addons/-/merge_requests/252
Comment 3 Alexander Lohnau 2022-10-27 19:11:39 UTC
Git commit a290e7700bda8e886de6a2361609adcef2cc0e36 by Alexander Lohnau.
Committed on 27/10/2022 at 18:21.
Pushed by ngraham into branch 'master'.

runners/dictionary: Copy query and text to clipboard when match is run
FIXED-IN: 5.27

M  +1    -1    runners/dictionary/CMakeLists.txt
M  +14   -0    runners/dictionary/dictionaryrunner.cpp
M  +1    -0    runners/dictionary/dictionaryrunner.h

https://invent.kde.org/plasma/kdeplasma-addons/commit/a290e7700bda8e886de6a2361609adcef2cc0e36